Credits
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"cast": [
{
"adult": false,
"gender": 2,
"id": 819,
"known_for_department": "Acting",
"name": "Edward Norton",
"original_name": "Edward Norton",
"popularity": 25.639,
"profile_path": "/8nytsqL59SFJTVYVrN72k6qkGgJ.jpg",
"cast_id": 4,
"character": "Narrator",
"credit_id": "52fe4250c3a36847f80149f3",
"order": 0
},
{
"adult": false,
"gender": 2,
"id": 287,
"known_for_department": "Acting",
"name": "Brad Pitt",
"original_name": "Brad Pitt",
"popularity": 69.957,
"profile_path": "/4rjnRCQ6bGFYdBb4UooOjsQy12c.jpg",
"cast_id": 5,
"character": "Tyler Durden",
"credit_id": "52fe4250c3a36847f80149f7",
"order": 1
},
{
"adult": false,
"gender": 1,
"id": 1283,
"known_for_department": "Acting",
"name": "Helena Bonham Carter",
"original_name": "Helena Bonham Carter",
"popularity": 37.958,
"profile_path": "/hJMbNSPJ2PCahsP3rNEU39C8GWU.jpg",
"cast_id": 285,
"character": "Marla Singer",
"credit_id": "631f0de8bd32090082733691",
"order": 2
},
{
"adult": false,
"gender": 2,
"id": 7470,
"known_for_department": "Acting",
"name": "Meat Loaf",
"original_name": "Meat Loaf",
"popularity": 7.469,
"profile_path": "/7gKLR1u46OB8WJ6m06LemNBCMx6.jpg",
"cast_id": 7,
"character": "Robert Paulson",
"credit_id": "52fe4250c3a36847f80149ff",
"order": 3
},
{
"adult": false,
"gender": 2,
"id": 7499,
"known_for_department": "Acting",
"name": "Jared Leto",
"original_name": "Jared Leto",
"popularity": 25.03,
"profile_path": "/ca3x0OfIKbJppZh8S1Alx3GfUZO.jpg",
"cast_id": 286,
"character": "Angel Face",
"credit_id": "631f0e29ce9e91007f757d86",
"order": 4
},
{
"adult": false,
"gender": 2,
"id": 7471,
"known_for_department": "Acting",
"name": "Zach Grenier",
"original_name": "Zach Grenier",
"popularity": 8.875,
"profile_path": "/fSyQKZO39sUsqY283GXiScOg3Hi.jpg",
"cast_id": 31,
"character": "Richard Chesler (Regional Manager)",
"credit_id": "52fe4250c3a36847f8014a55",
"order": 5,
"crew": [
{
"adult": false,
"gender": 2,
"id": 7764,
"known_for_department": "Sound",
"name": "Richard Hymns",
"original_name": "Richard Hymns",
"popularity": 3.637,
"profile_path": "/970GjgH2nfqsnEsimqLvLYoYTQn.jpg",
"credit_id": "52fe4250c3a36847f8014a41",
"department": "Sound",
"job": "Sound Editor"
},
{
"adult": false,
"gender": 2,
"id": 7763,
"known_for_department": "Sound",
"name": "Ren Klyce",
"original_name": "Ren Klyce",
"popularity": 0.866,
"profile_path": "/tMDHEVa05pe3od1NMpfplPVPnxD.jpg",
"credit_id": "52fe4250c3a36847f8014a3b",
"department": "Sound",
"job": "Sound Editor"
},
{
"adult": false,
"gender": 2,
"id": 7468,
"known_for_department": "Writing",
"name": "Chuck Palahniuk",
"original_name": "Chuck Palahniuk",
"popularity": 1.479,
"profile_path": "/r8WZhWea6RXCNO7HXvvB4lWYxzu.jpg",
"credit_id": "52fe4250c3a36847f8014a4d",
"department": "Writing",
"job": "Novel"
}
]
}
]
}MOVIES
Credits
This endpoint is used to get the credit for a movie.
GET
/
movie
/
{movie_id}
/
credits
Credits
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/credits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/credits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"cast": [
{
"adult": false,
"gender": 2,
"id": 819,
"known_for_department": "Acting",
"name": "Edward Norton",
"original_name": "Edward Norton",
"popularity": 25.639,
"profile_path": "/8nytsqL59SFJTVYVrN72k6qkGgJ.jpg",
"cast_id": 4,
"character": "Narrator",
"credit_id": "52fe4250c3a36847f80149f3",
"order": 0
},
{
"adult": false,
"gender": 2,
"id": 287,
"known_for_department": "Acting",
"name": "Brad Pitt",
"original_name": "Brad Pitt",
"popularity": 69.957,
"profile_path": "/4rjnRCQ6bGFYdBb4UooOjsQy12c.jpg",
"cast_id": 5,
"character": "Tyler Durden",
"credit_id": "52fe4250c3a36847f80149f7",
"order": 1
},
{
"adult": false,
"gender": 1,
"id": 1283,
"known_for_department": "Acting",
"name": "Helena Bonham Carter",
"original_name": "Helena Bonham Carter",
"popularity": 37.958,
"profile_path": "/hJMbNSPJ2PCahsP3rNEU39C8GWU.jpg",
"cast_id": 285,
"character": "Marla Singer",
"credit_id": "631f0de8bd32090082733691",
"order": 2
},
{
"adult": false,
"gender": 2,
"id": 7470,
"known_for_department": "Acting",
"name": "Meat Loaf",
"original_name": "Meat Loaf",
"popularity": 7.469,
"profile_path": "/7gKLR1u46OB8WJ6m06LemNBCMx6.jpg",
"cast_id": 7,
"character": "Robert Paulson",
"credit_id": "52fe4250c3a36847f80149ff",
"order": 3
},
{
"adult": false,
"gender": 2,
"id": 7499,
"known_for_department": "Acting",
"name": "Jared Leto",
"original_name": "Jared Leto",
"popularity": 25.03,
"profile_path": "/ca3x0OfIKbJppZh8S1Alx3GfUZO.jpg",
"cast_id": 286,
"character": "Angel Face",
"credit_id": "631f0e29ce9e91007f757d86",
"order": 4
},
{
"adult": false,
"gender": 2,
"id": 7471,
"known_for_department": "Acting",
"name": "Zach Grenier",
"original_name": "Zach Grenier",
"popularity": 8.875,
"profile_path": "/fSyQKZO39sUsqY283GXiScOg3Hi.jpg",
"cast_id": 31,
"character": "Richard Chesler (Regional Manager)",
"credit_id": "52fe4250c3a36847f8014a55",
"order": 5,
"crew": [
{
"adult": false,
"gender": 2,
"id": 7764,
"known_for_department": "Sound",
"name": "Richard Hymns",
"original_name": "Richard Hymns",
"popularity": 3.637,
"profile_path": "/970GjgH2nfqsnEsimqLvLYoYTQn.jpg",
"credit_id": "52fe4250c3a36847f8014a41",
"department": "Sound",
"job": "Sound Editor"
},
{
"adult": false,
"gender": 2,
"id": 7763,
"known_for_department": "Sound",
"name": "Ren Klyce",
"original_name": "Ren Klyce",
"popularity": 0.866,
"profile_path": "/tMDHEVa05pe3od1NMpfplPVPnxD.jpg",
"credit_id": "52fe4250c3a36847f8014a3b",
"department": "Sound",
"job": "Sound Editor"
},
{
"adult": false,
"gender": 2,
"id": 7468,
"known_for_department": "Writing",
"name": "Chuck Palahniuk",
"original_name": "Chuck Palahniuk",
"popularity": 1.479,
"profile_path": "/r8WZhWea6RXCNO7HXvvB4lWYxzu.jpg",
"credit_id": "52fe4250c3a36847f8014a4d",
"department": "Writing",
"job": "Novel"
}
]
}
]
}Authorizations
Response
200 - application/json
Successful